Package com.emc.d2fs.models.node

# Class Node

java.lang.Object
com.emc.d2fs.models.node.Node

All Implemented Interfaces:
  `Serializable`

public class Node extends Object implements Serializable

Java class for node complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="node">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.emc.com/d2fs/models/node}nodes" maxOccurs="unbounded" minOccurs="0"/>
             <element ref="{http://www.emc.com/d2fs/models/attribute}attributes" maxOccurs="unbounded" minOccurs="0"/>
             <element ref="{http://www.emc.com/d2fs/models/node}attributeOptions" maxOccurs="unbounded" minOccurs="0"/>
             <element ref="{http://www.emc.com/d2fs/models/rendering_options}rendering_options" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute ref="{http://www.emc.com/d2fs/models/common}id use="required""/>
           <attribute name="label" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="version" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="icon" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="locked" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="lockOwnerName" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="immutable" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="children" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="pathId" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="facetCountInfo" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="facetSelectAt" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="facetLevel" type="{http://www.w3.org/2001/XMLSchema}int" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Node()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AttributeOptions>`
  `getAttributeOptions()`
  Gets the value of the attributeOptions property.
  `List<Attribute>`
  `getAttributes()`
  Gets the value of the attributes property.
  `String`
  `getFacetCountInfo()`
  Gets the value of the facetCountInfo property.
  `Integer`
  `getFacetLevel()`
  Gets the value of the facetLevel property.
  `Integer`
  `getFacetSelectAt()`
  Gets the value of the facetSelectAt property.
  `String`
  `getIcon()`
  Gets the value of the icon property.
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getLabel()`
  Gets the value of the label property.
  `String`
  `getLocked()`
  Gets the value of the locked property.
  `String`
  `getLockOwnerName()`
  Gets the value of the lockOwnerName property.
  `List<Node>`
  `getNodes()`
  Gets the value of the nodes property.
  `String`
  `getPathId()`
  Gets the value of the pathId property.
  `List<RenderingOption>`
  `getRenderingOptions()`
  Gets the value of the renderingOptions property.
  `String`
  `getType()`
  Gets the value of the type property.
  `String`
  `getVersion()`
  Gets the value of the version property.
  `Boolean`
  `isChildren()`
  Gets the value of the children property.
  `Boolean`
  `isImmutable()`
  Gets the value of the immutable property.
  `void`
  `setChildren(Boolean value)`
  Sets the value of the children property.
  `void`
  `setFacetCountInfo(String value)`
  Sets the value of the facetCountInfo property.
  `void`
  `setFacetLevel(Integer value)`
  Sets the value of the facetLevel property.
  `void`
  `setFacetSelectAt(Integer value)`
  Sets the value of the facetSelectAt property.
  `void`
  `setIcon(String value)`
  Sets the value of the icon property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setImmutable(Boolean value)`
  Sets the value of the immutable property.
  `void`
  `setLabel(String value)`
  Sets the value of the label property.
  `void`
  `setLocked(String value)`
  Sets the value of the locked property.
  `void`
  `setLockOwnerName(String value)`
  Sets the value of the lockOwnerName property.
  `void`
  `setPathId(String value)`
  Sets the value of the pathId property.
  `void`
  `setType(String value)`
  Sets the value of the type property.
  `void`
  `setVersion(String value)`
  Sets the value of the version property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Node

    public Node()

- ## Method Details

  - ### getNodes

    public List<Node> getNodes()
    Gets the value of the nodes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the nodes property.

    For example, to add a new item, do as follows:

            getNodes().add(newItem);

    Objects of the following type(s) are allowed in the list `Node`

  - ### getAttributes

    public List<Attribute> getAttributes()
    Gets the value of the attributes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributes property.

    For example, to add a new item, do as follows:

            getAttributes().add(newItem);

    Objects of the following type(s) are allowed in the list `Attribute`

  - ### getAttributeOptions

    public List<AttributeOptions> getAttributeOptions()
    Gets the value of the attributeOptions property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributeOptions property.

    For example, to add a new item, do as follows:

            getAttributeOptions().add(newItem);

    Objects of the following type(s) are allowed in the list `AttributeOptions`

  - ### getRenderingOptions

    public List<RenderingOption> getRenderingOptions()
    Gets the value of the renderingOptions property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the renderingOptions property.

    For example, to add a new item, do as follows:

            getRenderingOptions().add(newItem);

    Objects of the following type(s) are allowed in the list `RenderingOption`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLabel

    public String getLabel()
    Gets the value of the label property.
    Returns:
      possible object is `String`

  - ### setLabel

    public void setLabel(String value)
    Sets the value of the label property.
    Parameters:
      `value` - allowed object is `String`

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`

  - ### getVersion

    public String getVersion()
    Gets the value of the version property.
    Returns:
      possible object is `String`

  - ### setVersion

    public void setVersion(String value)
    Sets the value of the version property.
    Parameters:
      `value` - allowed object is `String`

  - ### getIcon

    public String getIcon()
    Gets the value of the icon property.
    Returns:
      possible object is `String`

  - ### setIcon

    public void setIcon(String value)
    Sets the value of the icon property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLocked

    public String getLocked()
    Gets the value of the locked property.
    Returns:
      possible object is `String`

  - ### setLocked

    public void setLocked(String value)
    Sets the value of the locked property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLockOwnerName

    public String getLockOwnerName()
    Gets the value of the lockOwnerName property.
    Returns:
      possible object is `String`

  - ### setLockOwnerName

    public void setLockOwnerName(String value)
    Sets the value of the lockOwnerName property.
    Parameters:
      `value` - allowed object is `String`

  - ### isImmutable

    public Boolean isImmutable()
    Gets the value of the immutable property.
    Returns:
      possible object is `Boolean`

  - ### setImmutable

    public void setImmutable(Boolean value)
    Sets the value of the immutable property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isChildren

    public Boolean isChildren()
    Gets the value of the children property.
    Returns:
      possible object is `Boolean`

  - ### setChildren

    public void setChildren(Boolean value)
    Sets the value of the children property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getPathId

    public String getPathId()
    Gets the value of the pathId property.
    Returns:
      possible object is `String`

  - ### setPathId

    public void setPathId(String value)
    Sets the value of the pathId property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFacetCountInfo

    public String getFacetCountInfo()
    Gets the value of the facetCountInfo property.
    Returns:
      possible object is `String`

  - ### setFacetCountInfo

    public void setFacetCountInfo(String value)
    Sets the value of the facetCountInfo property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFacetSelectAt

    public Integer getFacetSelectAt()
    Gets the value of the facetSelectAt property.
    Returns:
      possible object is `Integer`

  - ### setFacetSelectAt

    public void setFacetSelectAt(Integer value)
    Sets the value of the facetSelectAt property.
    Parameters:
      `value` - allowed object is `Integer`

  - ### getFacetLevel

    public Integer getFacetLevel()
    Gets the value of the facetLevel property.
    Returns:
      possible object is `Integer`

  - ### setFacetLevel

    public void setFacetLevel(Integer value)
    Sets the value of the facetLevel property.
    Parameters:
      `value` - allowed object is `Integer`